Vulnerability CVE-2007-3182


Published: 2007-06-26   Modified: 2012-02-12

Description:
Multiple cross-site scripting (XSS) vulnerabilities in Calendarix 0.7.20070307, when register_globals is enabled, allow remote attackers to inject arbitrary web script or HTML via the (1) year and (2) month parameters to calendar.php, and the (3) leftfooter parameter to cal_footer.inc.php. NOTE: the ycyear parameter to yearcal.php is already covered by CVE-2006-1835.

See advisories in our WLB2 database:
Topic
Author
Date
Low
Calendarix version 0.7. 20070307 Multiple XSS Attacks
Jesper Jurcenoks
28.06.2007

Type:

CWE-Other

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Vincent hor -> Calendarix 

 References:
http://securityreason.com/securityalert/2838
http://www.netvigilance.com/advisory0037
http://www.securityfocus.com/archive/1/472208/100/0/threaded
http://www.securityfocus.com/bid/24626
http://www.vupen.com/english/advisories/2007/2324
https://exchange.xforce.ibmcloud.com/vulnerabilities/35045

Copyright 2022, cxsecurity.com

 

Back to Top